Subject: Re: bug#32194: [PATCH] Use Gnulib regex for lib-src

From: Noam Postavsky <[email-masked]>
Date: Tue, 31 Jul 2018 21:10:18 -0400

Paul Eggert <[email-masked]> writes:

> On 07/31/2018 05:29 PM, Noam Postavsky wrote:
>> Is it justified to drop the DEBUG code?  Couldn't it still be useful if
>> we want to debug regex engine (and we're not assuming it has/will always
>> have 0 bugs, right)?
>
> Yes, because the DEBUG code doesn't work now, in master, and hasn't
> worked for years. Perhaps someday someone will want to debug the Emacs
> regex engine; when they do, they will likely want debugging
> scaffolding oriented to whatever problem they're facing, instead of
> what's in Emacs now.

Hmm, I did use it just last year I think, to look at some deep
backtracing regexps.  It printed some stuff, though it's possible it
didn't print everything correctly; I was more interested in the amount
of printing than the precise details of the regexp engine state.